Skip to content

getMaintenanceSchedule

READ

Get maintenance schedule.

POST /api/v1/resources/getMaintenanceSchedule
curl -X POST '<your-host>/api/v1/resources/getMaintenanceSchedule' \
  -H 'Authorization: Bearer <api-key>' \
  -H 'Content-Type: application/json' \
  -d '{
    "scheduleId": "string"
  }'
Response
{
  "active": true,
  "companyId": "string",
  "createdAt": "string",
  "createdBy": "string",
  "description": "string",
  "estimatedDuration": 0,
  "frequency": "Daily",
  "friday": true,
  "id": "string",
  "lastGeneratedAt": "string",
  "locationId": "string",
  "monday": true,
  "name": "string",
  "nextDueAt": "string",
  "priority": "Low",
  "procedureId": "string",
  "saturday": true,
  "skipHolidays": true,
  "sunday": true,
  "takesWorkCenterOffline": true,
  "thursday": true,
  "tuesday": true,
  "updatedAt": "string",
  "updatedBy": "string",
  "wednesday": true,
  "workCenterId": "string",
  "workCenter": {
    "id": "string",
    "name": "string"
  }
}

Parameters

ParameterType

Input schema

schema
{
  "type": "object",
  "properties": {
    "scheduleId": {
      "type": "string"
    }
  },
  "required": [
    "scheduleId"
  ]
}